@{
    ViewData["Title"] = "Create CoC PNJ";
    CocModel Coc = new CocModel();
    var pnj = Coc as IPnj; 
    var dis = pnj.toEdit();
    var script = pnj.createScript();
}

<div class="text-center">
    <h1 class="display-4">Create CoC PNJ</h1>
    <p>@Html.Raw(dis)</p>
    <button id="Edit" type="button" class="btn btn-success">Confirm</button>
    @section Scripts {
        <script> const Url='https://localhost:5001/api/PNJ/';</script>
        <script src="~/js/@script"></script>
    }
</div>